License issue - removal of GDAL MIT/X copyright notice from third party code
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19526

Description

The QGIS "python/plugins/processing/tools/raster.py" module contains the invertGeoTransform function which was ported to python by

me directly from the GDAL gdaltransformer.cpp C++ source code http://svn.osgeo.org/gdal/trunk/gdal/alg/gdaltransformer.cpp

When I provided this code to Alexander Bruy on the GDAL-dev mailing list in 2010 (

http://osgeo-org.1560.x6.nabble.com/gdal-dev-Real-and-quot-raster-quot-coordinates-td3749761.html) I ensured it included the GDAL

MIT/X license and copyright notice.

However, the GDAL MIT/X license text has been removed from the code in the QGIS repo - 

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/tools/raster.py#L98

You must include the GDAL copyright notice as required by the MIT/X license. I have included a suggestion below.

    #    ******************************************************************************

    #    * This code was ported from GDALInvGeoTransform() in gdaltransformer.cpp

    #    * GDAL MIT/X license and copyright notices included below as required.

    #    ******************************************************************************

    #    * $Id: gdaltransformer.cpp 15024 2008-07-24 19:25:06Z rouault $

    #    *

    #    * Project:  Mapinfo Image Warper

    #    * Purpose:  Implementation of one or more GDALTrasformerFunc types, including

    #    *           the GenImgProj (general image reprojector) transformer.

    #    * Author:   Frank Warmerdam, warmerdam@pobox.com

    #    *

    #    ******************************************************************************

    #    * Copyright (c) 2002, i3 - information integration and imaging 

    #    *                          Fort Collin, CO

    #    *

    #    * Permission is hereby granted, free of charge, to any person obtaining a

    #    * copy of this software and associated documentation files (the "Software"),

    #    * to deal in the Software without restriction, including without limitation

    #    * the rights to use, copy, modify, merge, publish, distribute, sublicense,

    #    * and/or sell copies of the Software, and to permit persons to whom the

    #    * Software is furnished to do so, subject to the following conditions:

    #    *

    #    * The above copyright notice and this permission notice shall be included

    #    * in all copies or substantial portions of the Software.

    #    *

    #    * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS

    #    * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    #    * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

    #    * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

    #    * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING

    #    * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER

    #    * DEALINGS IN THE SOFTWARE.

    #    ****************************************************************************

History

#1 - 2015-06-03 11:12 PM - Alexander Bruy

- Status changed from Open to Feedback

Code removed from Processing.

#2 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#3 - 2015-10-02 02:31 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
